"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const testing_1 = require("@angular-devkit/schematics/testing");
const operators_1 = require("rxjs/operators");
const path = require("path");
const packagePath = '/package.json';
const collectionPath = path.join(__dirname, '../../migration.json');
const packageJsonAfterMigration = (packgeJsonRawContent) => {
    const emptyTree = schematics_1.Tree.empty();
    const runner = new testing_1.SchematicTestRunner('schematics', collectionPath);
    emptyTree.create(packagePath, packgeJsonRawContent);
    return runner.runSchematicAsync('migration-03', {}, emptyTree)
        .pipe(operators_1.map(updatedTree => JSON.parse(updatedTree.readContent(packagePath))));
};
describe('update to version >= 2', () => {
    it('should update dependencies in package.json', () => {
        const beforeMigration = `{
      "dependencies": {
        "ngx-semantic-version": "1.2.1"
      }
    }`;
        packageJsonAfterMigration(beforeMigration).subscribe((pkg) => {
            const { dependencies } = pkg;
            expect(dependencies['ngx-semantic-version']).toBeUndefined;
        });
    });
});
//# sourceMappingURL=index_spec.js.map