"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const utils_1 = require("../../utils");
const defaults_1 = require("../../ng-add/defaults");
exports.default = (_options) => {
    return schematics_1.chain([updateDependencies]);
};
const updateDependencies = () => (tree, context) => {
    context.logger.info('Updating npm packages dev dependencies for tooling');
    const packageJson = utils_1.getPackageJson(tree);
    let devDepsToAdd = {};
    const map = new Map([
        ['commitlint', defaults_1.DEV_DEPS_TO_ADD],
        ['commitizen', defaults_1.DEV_DEPS_TO_ADD],
        ['husky', defaults_1.DEV_DEPS_TO_ADD],
        ['standard-version', defaults_1.DEV_DEPS_TO_ADD],
    ]);
    for (const [key, value] of map.entries()) {
        const searchKey = key;
        devDepsToAdd = Object.assign(Object.assign({}, devDepsToAdd), value[searchKey]);
    }
    packageJson.devDependencies = Object.assign(Object.assign({}, packageJson.devDependencies), devDepsToAdd);
    utils_1.overwritePackageJson(tree, packageJson);
};
//# sourceMappingURL=index.js.map