"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const testing_1 = require("@angular-devkit/schematics/testing");
const operators_1 = require("rxjs/operators");
const path = require("path");
const packagePath = '/package.json';
const collectionPath = path.join(__dirname, '../../migration.json');
const packageJsonAfterMigration = (packgeJsonRawContent) => {
    const emptyTree = schematics_1.Tree.empty();
    const runner = new testing_1.SchematicTestRunner('schematics', collectionPath);
    emptyTree.create(packagePath, packgeJsonRawContent);
    return runner.runSchematicAsync('migration-04', {}, emptyTree)
        .pipe(operators_1.map(updatedTree => JSON.parse(updatedTree.readContent(packagePath))));
};
describe('update to version >= 2', () => {
    it('should not remove modified @commitlint/config-angular version from package.json', () => {
        const beforeMigration = `{
      "devDependencies": {
        "@commitlint/cli": "0.0.0",
        "@commitlint/config-conventional": "0.0.0",
        "commitizen": "0.0.0",
        "cz-conventional-changelog": "0.0.0",
        "husky": "0.0.0",
        "standard-version": "0.0.0"
      }
    }`;
        packageJsonAfterMigration(beforeMigration).subscribe((pkg) => {
            ;
            const { devDependencies } = pkg;
            expect(devDependencies['@commitlint/cli']).toEqual('^9.1.2');
            expect(devDependencies['@commitlint/config-conventional']).toEqual('^9.1.2');
            expect(devDependencies['commitizen']).toEqual('^4.1.2');
            expect(devDependencies['cz-conventional-changelog']).toEqual('^3.2.0');
            expect(devDependencies['husky']).toEqual('^4.2.5');
            expect(devDependencies['standard-version']).toEqual('^9.0.0');
        });
    });
});
//# sourceMappingURL=index_spec.js.map