import { Tree } from '@angular-devkit/schematics';
export interface PackageJson {
    dependencies: PackageJsonConfigPart<string>;
    devDependencies: PackageJsonConfigPart<string>;
    name?: string;
    version?: string;
    license?: string;
    scripts?: PackageJsonConfigPart<string>;
    repository?: PackageJsonConfigPart<string>;
    bugs?: PackageJsonConfigPart<string>;
    config?: {
        commitizen?: {
            path?: string;
        };
    };
    husky?: {
        hooks?: {
            'prepare-commit-msg'?: string;
            'commit-msg'?: string;
        };
    };
    'standard-version': {
        issuePrefixes?: string[];
    };
}
export interface PackageJsonConfigPart<T> {
    [key: string]: T;
}
export declare const getJsonFile: <T>(tree: Tree, path: string) => T;
export declare const getFileContents: (tree: Tree, filePath: string) => string;
export declare const getPackageJson: (tree: Tree, workingDirectory?: string) => PackageJson;
export declare const overwritePackageJson: (tree: Tree, content: PackageJson, workingDirectory?: string) => void;
export declare const getMergedPackageJsonConfig: (existingConfig: PackageJsonConfigPart<any>, newConfig: PackageJsonConfigPart<any>, overrideExisting?: boolean) => PackageJsonConfigPart<any>;
